package com.xhpc.evcs.cyc.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonPropertyOrder({
        "StartChargeSeq",
        "SuccStat",
        "FailReason",
        "IdentCode"
})
public class CYCChargeOrderInfoResponse {
    @JsonProperty("StartChargeSeq")
    private String startChargeSeq;

    @JsonProperty("SuccStat")
    private Integer succStat;

    @JsonProperty("FailReason")
    private Integer failReason;

    @JsonProperty("IdentCode")
    private String identCode;

    public String getStartChargeSeq() {
        return startChargeSeq;
    }

    public void setStartChargeSeq(String startChargeSeq) {
        this.startChargeSeq = startChargeSeq;
    }

    public Integer getSuccStat() {
        return succStat;
    }

    public void setSuccStat(Integer succStat) {
        this.succStat = succStat;
    }

    public Integer getFailReason() {
        return failReason;
    }

    public void setFailReason(Integer failReason) {
        this.failReason = failReason;
    }

    public String getIdentCode() {
        return identCode;
    }

    public void setIdentCode(String identCode) {
        this.identCode = identCode;
    }

    @Override
    public String toString() {
        return "CYCChargeOrderInfoResponse{" +
                "startChargeSeq='" + startChargeSeq + '\'' +
                ", succStat=" + succStat +
                ", failReason=" + failReason +
                ", identCode='" + identCode + '\'' +
                '}';
    }
}
